
Foreman - Bug #3984

Custom window._ in i18n.js conflicting with underscore.js

01/09/2014 04:32 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web Interface   

Target version: 1.4.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

window._ is defined as a custom i18n function which prevents the use of underscore.js.

See https://github.com/theforeman/foreman/blob/develop/app/assets/javascripts/i18n.js#L8

Steps to Reproduce:

1. Go to a page that uses underscore.js (many katello pages do)

2. Note JS error because of underscore being replaced by above custom i18n function

Associated revisions

Revision ad01d4d2 - 01/15/2014 09:19 AM - Walden Raines

fixes #3984 - use __ instead of _ for i18n to avoid conflict with underscore.js

History

#1 - 01/09/2014 04:33 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/theforeman/foreman/pull/1138

#2 - 01/15/2014 09:37 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#3 - 01/15/2014 10:31 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset ad01d4d20f0392a56d8bd13601966a87802e235c.
